// package: bet.beteran.api.game
// file: models/api/game.proto

import * as jspb from 'google-protobuf';

export class Game extends jspb.Message {
  getId(): number;
  setId(value: number): void;

  getVendorId(): number;
  setVendorId(value: number): void;

  getKey(): string;
  setKey(value: string): void;

  getNames(): string;
  setNames(value: string): void;

  getPlatform(): string;
  setPlatform(value: string): void;

  getCategory(): string;
  setCategory(value: string): void;

  getGameType(): string;
  setGameType(value: string): void;

  hasImage(): boolean;
  clearImage(): void;
  getImage(): string;
  setImage(value: string): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Game.AsObject;
  static toObject(includeInstance: boolean, msg: Game): Game.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: Game,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): Game;
  static deserializeBinaryFromReader(
    message: Game,
    reader: jspb.BinaryReader
  ): Game;
}

export namespace Game {
  export type AsObject = {
    id: number;
    vendorId: number;
    key: string;
    names: string;
    platform: string;
    category: string;
    gameType: string;
    image: string;
    createdAt: number;
    updatedAt: number;
  };
}
